@font-face {
    font-family: 'yekan';
    src: url('/Yekan.woff2') format('woff2'),
         url('/Yekan.woff') format('woff'),
         url('/Yekan.ttf') format('truetype');
}

body {
    font-family: 'yekan', Arial, sans-serif;
    background-color: #154947;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    direction: rtl;
    overflow: hidden; /* Prevent scrolling */
}

.container {
    background: white;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    text-align: center;
    max-width: 400px;
    width: 100%;
    border-style: solid;
    border-color: #C09F5D;
    margin: 10px; /* Ensure some space on small screens */
}

.logo {
    max-width: 100%;
    height: auto;
}

h1 {
    font-size: 24px;
    margin-bottom: 30px;
    color: #154947;
}

label {
    display: block;
    font-weight: bold;
    margin: 10px 0 5px;
    text-align: right;
}

input[type="text"] {
    width: calc(100% - 20px);
    padding: 10px;
    margin-bottom: 20px;
    border: 1px solid #ddd;
    border-radius: 5px;
    text-align: right;
}

button {
    font-family: 'yekan', Arial, sans-serif;
    padding: 10px 40px;
    background: #154947;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 14px;
}

button:hover {
    background: #C09F5D;
}

.message {
    margin-bottom: 20px;
    color: red;
}

@media (max-width: 600px) {
    body {
        padding: 20px; /* Add padding to body on mobile to ensure container is centered */
    }

    .container {
        margin: 0 auto; /* Center container horizontally */
    }
}
